Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturn.HintReturnType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleHintReturn.HintReturnType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleHintReturn

    public static final class QStyleHintReturn.HintReturnType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QStyleHintReturn.HintReturnType` | `SH_Default` `QStyleHintReturn`
`static QStyleHintReturn.HintReturnType` | `SH_Mask` `QStyle::SH_RubberBand_Mask` `QStyle::SH_FocusFrame_Mask`
`static QStyleHintReturn.HintReturnType` | `SH_Variant` `QStyle::SH_TextControl_FocusIndicatorTextCharFormat`

Method Summary
`static QStyleHintReturn.HintReturnType` | `resolve(int value)` Returns the HintReturnType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleHintReturn.HintReturnType` | `valueOf(java.lang.String name)`
`static QStyleHintReturn.HintReturnType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SH_Default

    public static final QStyleHintReturn.HintReturnType SH_Default

  `QStyleHintReturn`

### SH_Mask

    public static final QStyleHintReturn.HintReturnType SH_Mask

  `QStyle::SH_RubberBand_Mask` `QStyle::SH_FocusFrame_Mask`

### SH_Variant

    public static final QStyleHintReturn.HintReturnType SH_Variant

  `QStyle::SH_TextControl_FocusIndicatorTextCharFormat`

Method Detail

### values

    public static QStyleHintReturn.HintReturnType[] values()

### valueOf

    public static QStyleHintReturn.HintReturnType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleHintReturn.HintReturnType resolve(int value)

  Returns the HintReturnType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD